Page MenuHomePhabricator

Run Termbox browser tests as part of Wikibase per-patch browser tests jobs
Open, Needs TriagePublic5 Story Points

Description

Acceptance Criteria

  • Browser tests jobs should run with every wikibase patch
  • We should spot any bugs at the latest when we merge the pin

Some Hints
We see that currently the non-mediawiki core tests are loaded via custom globs: https://github.com/wikimedia/mediawiki/blob/master/tests/selenium/wdio.conf.js#L57

This would not capture our tests in the submodule. We would rather not have to patch core to add our tests as another custom glob. We had the idea to create a custom extra spec in wikibase's selenium tests that imports the describe functions from the termbox spec files. Questions remain about how this would work with multiple files.

This will hopefully go away with the resolution of: T199116

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 6 2019, 11:05 AM
WMDE-leszek set the point value for this task to 5.Jun 6 2019, 11:24 AM
Tarrow updated the task description. (Show Details)Jul 9 2019, 1:55 PM

Change 522106 had a related patch set uploaded (by Jakob; owner: Jakob):
[wikibase/termbox@master] Export browser test to run from Wikibase

https://gerrit.wikimedia.org/r/522106

Change 522107 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/Wikibase@master] Add termbox browser tests

https://gerrit.wikimedia.org/r/522107

Change 522106 merged by jenkins-bot:
[wikibase/termbox@master] Export browser test to run from Wikibase

https://gerrit.wikimedia.org/r/522106

Need to patch:

  • quibble
    • add setting to LocalSettings.php
    • Set SSR timeout to be low so that we don't wait
  • integration config: check that Minerva + MobileFrontend are available
Tarrow claimed this task.Jul 15 2019, 8:49 AM

Change 523120 had a related patch set uploaded (by Tarrow; owner: Tarrow):
[mediawiki/extensions/Wikibase@master] Add example config for Termbox

https://gerrit.wikimedia.org/r/523120

Adding the required dependencies to Wikibase in CI is done.

Adding the config needed to enable Termbox in CI is hopefully done by: https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Wikibase/+/523120

And then the tests are finally enabled by: https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Wikibase/+/522107/5

Change 523120 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Add example config for Termbox

https://gerrit.wikimedia.org/r/523120

Change 522107 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Add termbox browser tests

https://gerrit.wikimedia.org/r/522107

Change 526439 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/Wikibase@master] Run termbox tests with Wikibase CI

https://gerrit.wikimedia.org/r/526439

Change 526439 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Run termbox tests with Wikibase CI

https://gerrit.wikimedia.org/r/526439